Download it now!
Bug 133812 - Style 'Result' and 'Result2' have been removed; Subtotals do not get automatic formatting any longer
Summary: Style 'Result' and 'Result2' have been removed; Subtotals do not get automati...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-06-09 07:43 UTC by Cor Nouws
Modified: 2020-09-29 10:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file showing the issue (9.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-06-09 20:13 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2020-06-09 07:43:05 UTC
In LibreOffice 5.0.6 in a new spreadsheet, there are the styles Result and Result2
In LibreOffice 5.4.6 (and current master) these are removed - a new set of styles has been added.

As a consequence, Subtotals do not get automatic formatting any more (was Italic).
Adding the style as user, solves the issue.
So it is clear that the style is used automatically by Calc.

See https://ask.libreoffice.org/nl/question/169541/can-you-reintroduce-subtotals-options-for-bold-italice-underlined/
Comment 1 m.a.riosv 2020-06-09 20:13:19 UTC
Created attachment 161817 [details]
Sample file showing the issue

What gives that subtotal has not style applied, neither default.

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 59939d2490726336546c7ad05082d23031074e12
CPU threads: 4; OS: Windows 10.0 Build 19608; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 2 Eike Rathke 2020-09-27 14:43:24 UTC
This appears to be the fallout of some UX style rework that removed the predefined Result and Result2 styles. See

commit 7b0aed617f1e57335837cf56ef2d222a96f8270d
CommitDate: Wed Sep 28 11:42:56 2016 +0000

    Remove old cell styles from calc

But then, probably not aware of the functionality (history of bug 90937 confirms), did not add them back with

commit 06f319937187f76ee402d53b3baa78c391c2af19
CommitDate: Sun Oct 2 13:51:26 2016 +0000

    tdf#90937 Add a set of cell styles to calc
Comment 3 Eike Rathke 2020-09-27 18:19:42 UTC
Fwiw, 'Result2' was nowhere used anymore already before, except maybe for the old binfilter. The default also wasn't any different from 'Result'. There is some mapping making it accessible/queryable as style name for the UNO API, so we may have to reintroduce the style just for that if necessary. Not sure what exactly is expected there, maybe creating the style on the fly would be possible. Later.
Comment 4 Commit Notification 2020-09-28 00:53:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/930d82550863430c9bef96ac307c3ff2cfefe4d8

Resolves: tdf#133812 Add the 'Result' style again used by the Subtotal tool

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-09-28 10:50:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4cabc8e6574feb08cd7b80de9bc59c1c8f1797c3

Resolves: tdf#133812 Add the 'Result' style again used by the Subtotal tool

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-09-28 14:36:32 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 050e95e50d44a5cbb74bb5de481cb30551f83136
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Eike, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-09-28 17:10:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/916cefa8e3b785489a9ef09cf4c5c6af09bed82d

Resolves: tdf#133812 Add the 'Result' style again used by the Subtotal tool

It will be available in 6.4.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-09-28 18:58:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-7":

https://git.libreoffice.org/core/commit/7393de6da11104062098cd04968c7c1f469efea9

Resolves: tdf#133812 Add the 'Result' style again used by the Subtotal tool

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-09-28 19:05:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-2":

https://git.libreoffice.org/core/commit/d93051cba341a73fe389e7471fc60d46da3aa1fe

Resolves: tdf#133812 Add the 'Result' style again used by the Subtotal tool

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.